<?php

function vwi_activate_vendhq_woocommerce_integration() {
	// if we don't have WooCommerce
	if ( ! vwi_is_woocommerce_active() ) {
		// Deactivate the plugin
		deactivate_plugins( __FILE__ );
		$error_message = 'Integrate WooCommerce with Vend plugin requires the <a href="http://wordpress.org/extend/plugins/woocommerce/">WooCommerce</a> plugin to be active!';
		wp_die( $error_message );
	}
}

function vwi_is_woocommerce_active() {
	// if you are using a custom folder name other than WooCommerce just define the constant to TRUE
	if ( defined( "RUNNING_CUSTOM_WOOCOMMERCE" ) && RUNNING_CUSTOM_WOOCOMMERCE === true ) {
		return true;
	}
	// if the plugin is active, we're good.
	if ( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) {
		return true;
	}
	// lets check for network activation woo installs now too.
	if ( function_exists( 'is_plugin_active_for_network' ) ) {
		return is_plugin_active_for_network( 'woocommerce/woocommerce.php' );
	}

	return false;
}

function vwi_api_request( $url, $method = 'GET', $api_key = null, $args = array() ) {
	if ( is_null( $api_key ) ) {
		return false;
	}

	// Populate the args for use in the wp_remote_request call
	$wp_args            = $args;
	$wp_args['method']  = $method;
	$wp_args['timeout'] = 30;

	// Make the call and store the response in $res
	$res = wp_remote_request( $url, $wp_args );

	// Check for success
	if ( ! is_wp_error( $res ) && ( 200 == $res['response']['code'] || 201 == $res['response']['code'] ) ) {
		return $res['body'];
	} else {
		throw new Exception( "API call didn't go well :(. Either VendHQ Connect Settings are incorrect or VendHQ server is not responding as expected." );
	}
}

function vwi_import_last_import_finish_filter( $new_value, $old_value ) {
	return ( $new_value > $old_value ) ? $new_value : $old_value;
}