<?php
/**
 * Plugin Name:          Integrate WooCommerce with Vend
 * Plugin URI:           https://sujith123.wufoo.com/forms/z1xchp690scddy2/
 * Description:          Import products from VendHQ and export WooCommerce customers and sales in VendHQ
 * Version:              1.3.3
 * Author:               Sujith222
 * Author URI:           https://profiles.wordpress.org/sujith222
 * WC requires at least: 3.3
 * WC tested up to:      5.3
 * License:              GPL v3
 * License URI:          http://www.gnu.org/licenses/gpl-3.0.html
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/gpl-3.0.html>.
 */

if ( ! defined( 'WPINC' ) ) {
	die;
}

require plugin_dir_path( __FILE__ ) . 'includes/functions.php';
register_activation_hook( __FILE__, 'vwi_activate_vendhq_woocommerce_integration' );

if ( is_admin() ) {
	require plugin_dir_path( __FILE__ ) . 'admin/settings-page.php';
	require plugin_dir_path( __FILE__ ) . 'includes/import.php';

	add_action( 'admin_init', 'vwi_settings_init' );
	add_action( 'admin_menu', 'vwi_options_page' );

	if ( isset( $_POST['import'] ) && get_option( 'vwi_vend_connect_subdomain' ) && get_option( 'vwi_vend_connect_token' ) ) {
		add_action( 'init', 'vwi_import_from_vend' );
		add_filter( 'pre_update_option_vwi_vend_last_import_finish', 'vwi_import_last_import_finish_filter', 10, 2 );
	}
}

require plugin_dir_path( __FILE__ ) . 'includes/export.php';

add_action( 'woocommerce_checkout_update_order_meta', 'vwi_send_customer_and_sale', 1000, 1 );

